API

Electronic Media Search Direct API

テレビ、ラジオ、チャンネル、プログラム、トランスクリプト、放送ジャーナリズム、視覚音声ニュースの報道。

APIリファレンス バージョン: 1.0.0 4 エンドポイント 認証
放送メディア

ベース URL

https://api.pressmonitor.com

認証

すべてのリクエストはベアラートークン認証を使用します。すべての呼び出しにAuthorizationヘッダーを追加してください。

Authorization: Bearer YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID
GET /headlines

パラメータ

名前 タイプ 場所 必須 説明
keywords_text string query はい
lang_code string query いいえ
country_code string query いいえ
count integer query いいえ
cursor string query いいえ
sort string query いいえ Sort order (date or relevance)
date_from string query いいえ Start date for news (YYYY-MM-DD format)
date_to string query いいえ End date for news (YYYY-MM-DD format)

コード例

curl -X GET "https://api.pressmonitor.com/headlines?keywords_text=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID"

レスポンス

200 Success
GET /briefs

パラメータ

名前 タイプ 場所 必須 説明
keywords_text string query はい
lang_code string query いいえ
country_code string query いいえ
count integer query いいえ
cursor string query いいえ
sort string query いいえ Sort order (date or relevance)
date_from string query いいえ Start date for news (YYYY-MM-DD format)
date_to string query いいえ End date for news (YYYY-MM-DD format)

コード例

curl -X GET "https://api.pressmonitor.com/briefs?keywords_text=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID"

レスポンス

200 Success
GET /fulltext

パラメータ

名前 タイプ 場所 必須 説明
keywords_text string query はい
lang_code string query いいえ
country_code string query いいえ
count integer query いいえ
cursor string query いいえ
sort string query いいえ Sort order (date or relevance)
date_from string query いいえ Start date for news (YYYY-MM-DD format)
date_to string query いいえ End date for news (YYYY-MM-DD format)

コード例

curl -X GET "https://api.pressmonitor.com/fulltext?keywords_text=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID"

レスポンス

200 Success
GET /clip

パラメータ

名前 タイプ 場所 必須 説明
id string query はい Clip/article ID to resolve
date string query はい Date of the clip (YYYY-MM-DD)
ns string query いいえ Namespace prefix for multi-tenant index resolution
host string query いいえ Host name for tenant resolution
ttl integer query いいえ Signed URL time-to-live in seconds

コード例

curl -X GET "https://api.pressmonitor.com/clip?id=VALUE&date=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID"

レスポンス

200 Success